MCP Gateway
ApiMcp gateway

Handle direct server MCP request

Handle MCP JSON-RPC requests for direct server access. Always uses LIST mode with original tool names (no prefixes).

POST
/mcp/servers/{server_id}

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Path Parameters

server_id*string
Formatuuid

Header Parameters

Accept?|
Mcp-Session-Id?|
X-MCP-Session-ID?|
access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[key: string]?any

Response Body

application/json

application/json

curl -X POST "https://loading/mcp/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}